<html>
<head>
<title>Ogre::ColourValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ColourValue Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ColourValue" -->
<p>Class representing colour.  
 <a href="classOgre_1_1ColourValue.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ColourValue-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#acc033c4828ad9f7469269933d24850f5">ColourValue</a> (float red=1.0f, float green=1.0f, float blue=1.0f, float alpha=1.0f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a6b32525e447b9ed0a5e1052fd62ceb2e">operator==</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ad89235b7111c0b8158516126feac734e">operator!=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a57f7d1f049460f32a47ce9994a6e8921">getAsRGBA</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves colour as RGBA.  <a href="#a57f7d1f049460f32a47ce9994a6e8921"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gaa329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a4ccbd02b929bfa595445848e71507d82">getAsARGB</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves colour as ARGB.  <a href="#a4ccbd02b929bfa595445848e71507d82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gaebed1ceefe1a5fb28f59ea894031680f">BGRA</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a8ad894332efb965decfcf3cf52049c8b">getAsBGRA</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves colour as BGRA.  <a href="#a8ad894332efb965decfcf3cf52049c8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gac65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a62fb19e5654fcc8da7c4416c20b641ce">getAsABGR</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves colours as ABGR.  <a href="#a62fb19e5654fcc8da7c4416c20b641ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a0772677c217e45f2be90f187f5aaac9a">setAsRGBA</a> (const <a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a> val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets colour as RGBA.  <a href="#a0772677c217e45f2be90f187f5aaac9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a3d98d425442b7a6eda9016dd6e46abec">setAsARGB</a> (const <a class="el" href="group__General.html#gaa329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a> val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets colour as ARGB.  <a href="#a3d98d425442b7a6eda9016dd6e46abec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#afceb18ee8660573973f6a430e75f73c0">setAsBGRA</a> (const <a class="el" href="group__General.html#gaebed1ceefe1a5fb28f59ea894031680f">BGRA</a> val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets colour as BGRA.  <a href="#afceb18ee8660573973f6a430e75f73c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a1089fa2eef113691b4f92a21c64103ce">setAsABGR</a> (const <a class="el" href="group__General.html#gac65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a> val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets colour as ABGR.  <a href="#a1089fa2eef113691b4f92a21c64103ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a21875c1d92c3ad0cba9cafd5776f42a0">saturate</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clamps colour value to the range [0, 1].  <a href="#a21875c1d92c3ad0cba9cafd5776f42a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a2444beae59d41b61e71f45cc396ad34f">saturateCopy</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">As saturate, except that this colour value is unaffected and the saturated colour value is returned as a copy.  <a href="#a2444beae59d41b61e71f45cc396ad34f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a8a5e5d15068037cd9c3e3a13dd45b267">operator[]</a> (const size_t i) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Array accessor operator.  <a href="#a8a5e5d15068037cd9c3e3a13dd45b267"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#af3579c76f3cd365ac54454be6a3f6f89">operator[]</a> (const size_t i)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Array accessor operator.  <a href="#af3579c76f3cd365ac54454be6a3f6f89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a5dde8a74df3cbfd55cb0e5ca90aafafe">ptr</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#a5dde8a74df3cbfd55cb0e5ca90aafafe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ab081bc456d9b15bc3b0d3c8c4869cfad">ptr</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#ab081bc456d9b15bc3b0d3c8c4869cfad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#aba3d75622d5063ff08e5add5674a1914">operator+</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a16eb12d0c1eed21daae1553e6f200c01">operator-</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#aeb6a68dbefba39f572fdbebe77228faa">operator*</a> (const float fScalar) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ac2705420cbe5fa044bb757184f1f1c71">operator*</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a80871b6a2fe6b35f99e13d43e05aac0b">operator/</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#aabe2f2e8307d487db930775de63c03e9">operator/</a> (const float fScalar) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a8da50314432c59dee0aa3e6a72183e34">operator+=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#abbc9a8f5cc1c054eb5b4633d6b0b2262">operator-=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#aebee8d25bcd490889866a0ad94940ef7">operator*=</a> (const float fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a3d17eedbff96cef8dbd4414183e15cb3">operator/=</a> (const float fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a35b3e77e76f7584bdf83c9a3b1c7c1dc">setHSB</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> hue, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> saturation, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> brightness)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a colour value from Hue, Saturation and Brightness.  <a href="#a35b3e77e76f7584bdf83c9a3b1c7c1dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a19a1772618960102d85eb3403482eaae">getHSB</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *hue, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *saturation, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *brightness) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert the current colour to Hue, Saturation and Brightness values.  <a href="#a19a1772618960102d85eb3403482eaae"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a6e086633637e335238d517e0ec9f2cd2">r</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a13fbd050af26b8bd549ccb46aa699e07">g</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#aae078d77b654f76e3b760174f93474ec">b</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a854058a76927880ae345ac1c465f9713">a</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#abc5d5f80d4d99438863cc808169283b5">ZERO</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">Black</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">White</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ab9c2a36f53ac599850f1cf8b822f750d">Red</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a00384a789ac354ea8dd252c62cb17aa4">Green</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a67ef25ecd0fa97e7e51e5bd87b29ae65">Blue</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a5b0ed5d4289ec1f56295380a0a334e4f">operator*</a> (const float fScalar, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#a6e2f40ea1d31e17f5c45d457e0ab4b2d">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;c)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for writing to a stream.  <a href="#a6e2f40ea1d31e17f5c45d457e0ab4b2d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class representing colour. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Colour is represented as 4 components, each of which is a floating-point value from 0.0 to 1.0. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The 3 'normal' colour components are red, green and blue, a higher number indicating greater amounts of that component in the colour. The forth component is the 'alpha' value, which represents transparency. In this case, 0.0 is completely transparent and 1.0 is fully opaque. </dd></dl>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00057">57</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acc033c4828ad9f7469269933d24850f5"></a><!-- doxytag: member="Ogre::ColourValue::ColourValue" ref="acc033c4828ad9f7469269933d24850f5" args="(float red=1.0f, float green=1.0f, float blue=1.0f, float alpha=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html#acc033c4828ad9f7469269933d24850f5">Ogre::ColourValue::ColourValue</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>red</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>green</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>blue</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>alpha</em> = <code>1.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00067">67</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a62fb19e5654fcc8da7c4416c20b641ce"></a><!-- doxytag: member="Ogre::ColourValue::getAsABGR" ref="a62fb19e5654fcc8da7c4416c20b641ce" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gac65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a> <a class="el" href="classOgre_1_1ColourValue.html#a62fb19e5654fcc8da7c4416c20b641ce">Ogre::ColourValue::getAsABGR</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves colours as ABGR. </p>

</div>
</div>
<a class="anchor" id="a4ccbd02b929bfa595445848e71507d82"></a><!-- doxytag: member="Ogre::ColourValue::getAsARGB" ref="a4ccbd02b929bfa595445848e71507d82" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gaa329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a> <a class="el" href="classOgre_1_1ColourValue.html#a4ccbd02b929bfa595445848e71507d82">Ogre::ColourValue::getAsARGB</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves colour as ARGB. </p>

</div>
</div>
<a class="anchor" id="a8ad894332efb965decfcf3cf52049c8b"></a><!-- doxytag: member="Ogre::ColourValue::getAsBGRA" ref="a8ad894332efb965decfcf3cf52049c8b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gaebed1ceefe1a5fb28f59ea894031680f">BGRA</a> <a class="el" href="classOgre_1_1ColourValue.html#a8ad894332efb965decfcf3cf52049c8b">Ogre::ColourValue::getAsBGRA</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves colour as BGRA. </p>

</div>
</div>
<a class="anchor" id="a57f7d1f049460f32a47ce9994a6e8921"></a><!-- doxytag: member="Ogre::ColourValue::getAsRGBA" ref="a57f7d1f049460f32a47ce9994a6e8921" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a> <a class="el" href="classOgre_1_1ColourValue.html#a57f7d1f049460f32a47ce9994a6e8921">Ogre::ColourValue::getAsRGBA</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves colour as RGBA. </p>

</div>
</div>
<a class="anchor" id="a19a1772618960102d85eb3403482eaae"></a><!-- doxytag: member="Ogre::ColourValue::getHSB" ref="a19a1772618960102d85eb3403482eaae" args="(Real *hue, Real *saturation, Real *brightness) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a19a1772618960102d85eb3403482eaae">Ogre::ColourValue::getHSB</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>hue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>saturation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>brightness</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert the current colour to Hue, Saturation and Brightness values. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">hue</td><td>Output hue value, scaled to the [0,1] range as opposed to the 0-360 </td></tr>
    <tr><td class="paramname">saturation</td><td>Output saturation level, [0,1] </td></tr>
    <tr><td class="paramname">brightness</td><td>Output brightness level, [0,1] </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad89235b7111c0b8158516126feac734e"></a><!-- doxytag: member="Ogre::ColourValue::operator!=" ref="ad89235b7111c0b8158516126feac734e" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ColourValue::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeb6a68dbefba39f572fdbebe77228faa"></a><!-- doxytag: member="Ogre::ColourValue::operator*" ref="aeb6a68dbefba39f572fdbebe77228faa" args="(const float fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator* </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00196">196</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="ac2705420cbe5fa044bb757184f1f1c71"></a><!-- doxytag: member="Ogre::ColourValue::operator*" ref="ac2705420cbe5fa044bb757184f1f1c71" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00208">208</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="aebee8d25bcd490889866a0ad94940ef7"></a><!-- doxytag: member="Ogre::ColourValue::operator*=" ref="aebee8d25bcd490889866a0ad94940ef7" args="(const float fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator*= </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00280">280</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba3d75622d5063ff08e5add5674a1914"></a><!-- doxytag: member="Ogre::ColourValue::operator+" ref="aba3d75622d5063ff08e5add5674a1914" args="(const ColourValue &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00172">172</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="a8da50314432c59dee0aa3e6a72183e34"></a><!-- doxytag: member="Ogre::ColourValue::operator+=" ref="a8da50314432c59dee0aa3e6a72183e34" args="(const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00260">260</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="a16eb12d0c1eed21daae1553e6f200c01"></a><!-- doxytag: member="Ogre::ColourValue::operator&#45;" ref="a16eb12d0c1eed21daae1553e6f200c01" args="(const ColourValue &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00184">184</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="abbc9a8f5cc1c054eb5b4633d6b0b2262"></a><!-- doxytag: member="Ogre::ColourValue::operator&#45;=" ref="abbc9a8f5cc1c054eb5b4633d6b0b2262" args="(const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00270">270</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="a80871b6a2fe6b35f99e13d43e05aac0b"></a><!-- doxytag: member="Ogre::ColourValue::operator/" ref="a80871b6a2fe6b35f99e13d43e05aac0b" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator/ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00220">220</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="aabe2f2e8307d487db930775de63c03e9"></a><!-- doxytag: member="Ogre::ColourValue::operator/" ref="aabe2f2e8307d487db930775de63c03e9" args="(const float fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator/ </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00232">232</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00076">a</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">b</a>, <a class="el" href="OgreColourValue_8h_source.html#l00076">g</a>, and <a class="el" href="OgreColourValue_8h_source.html#l00076">r</a>.</p>

</div>
</div>
<a class="anchor" id="a3d17eedbff96cef8dbd4414183e15cb3"></a><!-- doxytag: member="Ogre::ColourValue::operator/=" ref="a3d17eedbff96cef8dbd4414183e15cb3" args="(const float fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator/= </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00289">289</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6b32525e447b9ed0a5e1052fd62ceb2e"></a><!-- doxytag: member="Ogre::ColourValue::operator==" ref="a6b32525e447b9ed0a5e1052fd62ceb2e" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ColourValue::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8a5e5d15068037cd9c3e3a13dd45b267"></a><!-- doxytag: member="Ogre::ColourValue::operator[]" ref="a8a5e5d15068037cd9c3e3a13dd45b267" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::ColourValue::operator[] </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Array accessor operator. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00144">144</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3579c76f3cd365ac54454be6a3f6f89"></a><!-- doxytag: member="Ogre::ColourValue::operator[]" ref="af3579c76f3cd365ac54454be6a3f6f89" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float&amp; Ogre::ColourValue::operator[] </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Array accessor operator. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00152">152</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5dde8a74df3cbfd55cb0e5ca90aafafe"></a><!-- doxytag: member="Ogre::ColourValue::ptr" ref="a5dde8a74df3cbfd55cb0e5ca90aafafe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* <a class="el" href="classOgre_1_1ColourValue.html#a5dde8a74df3cbfd55cb0e5ca90aafafe">Ogre::ColourValue::ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer accessor for direct copying. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00160">160</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab081bc456d9b15bc3b0d3c8c4869cfad"></a><!-- doxytag: member="Ogre::ColourValue::ptr" ref="ab081bc456d9b15bc3b0d3c8c4869cfad" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float* <a class="el" href="classOgre_1_1ColourValue.html#a5dde8a74df3cbfd55cb0e5ca90aafafe">Ogre::ColourValue::ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer accessor for direct copying. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00165">165</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21875c1d92c3ad0cba9cafd5776f42a0"></a><!-- doxytag: member="Ogre::ColourValue::saturate" ref="a21875c1d92c3ad0cba9cafd5776f42a0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a21875c1d92c3ad0cba9cafd5776f42a0">Ogre::ColourValue::saturate</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clamps colour value to the range [0, 1]. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00111">111</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h_source.html#l00136">saturateCopy()</a>.</p>

</div>
</div>
<a class="anchor" id="a2444beae59d41b61e71f45cc396ad34f"></a><!-- doxytag: member="Ogre::ColourValue::saturateCopy" ref="a2444beae59d41b61e71f45cc396ad34f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#a2444beae59d41b61e71f45cc396ad34f">Ogre::ColourValue::saturateCopy</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>As saturate, except that this colour value is unaffected and the saturated colour value is returned as a copy. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00136">136</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h_source.html#l00111">saturate()</a>.</p>

</div>
</div>
<a class="anchor" id="a1089fa2eef113691b4f92a21c64103ce"></a><!-- doxytag: member="Ogre::ColourValue::setAsABGR" ref="a1089fa2eef113691b4f92a21c64103ce" args="(const ABGR val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a1089fa2eef113691b4f92a21c64103ce">Ogre::ColourValue::setAsABGR</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gac65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets colour as ABGR. </p>

</div>
</div>
<a class="anchor" id="a3d98d425442b7a6eda9016dd6e46abec"></a><!-- doxytag: member="Ogre::ColourValue::setAsARGB" ref="a3d98d425442b7a6eda9016dd6e46abec" args="(const ARGB val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a3d98d425442b7a6eda9016dd6e46abec">Ogre::ColourValue::setAsARGB</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gaa329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets colour as ARGB. </p>

</div>
</div>
<a class="anchor" id="afceb18ee8660573973f6a430e75f73c0"></a><!-- doxytag: member="Ogre::ColourValue::setAsBGRA" ref="afceb18ee8660573973f6a430e75f73c0" args="(const BGRA val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#afceb18ee8660573973f6a430e75f73c0">Ogre::ColourValue::setAsBGRA</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gaebed1ceefe1a5fb28f59ea894031680f">BGRA</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets colour as BGRA. </p>

</div>
</div>
<a class="anchor" id="a0772677c217e45f2be90f187f5aaac9a"></a><!-- doxytag: member="Ogre::ColourValue::setAsRGBA" ref="a0772677c217e45f2be90f187f5aaac9a" args="(const RGBA val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a0772677c217e45f2be90f187f5aaac9a">Ogre::ColourValue::setAsRGBA</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets colour as RGBA. </p>

</div>
</div>
<a class="anchor" id="a35b3e77e76f7584bdf83c9a3b1c7c1dc"></a><!-- doxytag: member="Ogre::ColourValue::setHSB" ref="a35b3e77e76f7584bdf83c9a3b1c7c1dc" args="(Real hue, Real saturation, Real brightness)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ColourValue.html#a35b3e77e76f7584bdf83c9a3b1c7c1dc">Ogre::ColourValue::setHSB</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>hue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>saturation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>brightness</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a colour value from Hue, Saturation and Brightness. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">hue</td><td>Hue value, scaled to the [0,1] range as opposed to the 0-360 </td></tr>
    <tr><td class="paramname">saturation</td><td>Saturation level, [0,1] </td></tr>
    <tr><td class="paramname">brightness</td><td>Brightness level, [0,1] </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a5b0ed5d4289ec1f56295380a0a334e4f"></a><!-- doxytag: member="Ogre::ColourValue::operator*" ref="a5b0ed5d4289ec1f56295380a0a334e4f" args="(const float fScalar, const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> operator* </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00247">247</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6e2f40ea1d31e17f5c45d457e0ab4b2d"></a><!-- doxytag: member="Ogre::ColourValue::operator&lt;&lt;" ref="a6e2f40ea1d31e17f5c45d457e0ab4b2d" args="(std::ostream &amp;o, const ColourValue &amp;c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>c</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function for writing to a stream. </p>

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00322">322</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a854058a76927880ae345ac1c465f9713"></a><!-- doxytag: member="Ogre::ColourValue::a" ref="a854058a76927880ae345ac1c465f9713" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#a854058a76927880ae345ac1c465f9713">Ogre::ColourValue::a</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00076">76</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h_source.html#l00196">operator*()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00172">operator+()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00260">operator+=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00184">operator-()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00270">operator-=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00220">operator/()</a>, and <a class="el" href="OgreAnimable_8h_source.html#l00117">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
<a class="anchor" id="aae078d77b654f76e3b760174f93474ec"></a><!-- doxytag: member="Ogre::ColourValue::b" ref="aae078d77b654f76e3b760174f93474ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#aae078d77b654f76e3b760174f93474ec">Ogre::ColourValue::b</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00076">76</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h_source.html#l00196">operator*()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00172">operator+()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00260">operator+=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00184">operator-()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00270">operator-=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00220">operator/()</a>, and <a class="el" href="OgreAnimable_8h_source.html#l00117">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a7f8a06f2a9dd645417c36b560f496c1a"></a><!-- doxytag: member="Ogre::ColourValue::Black" ref="a7f8a06f2a9dd645417c36b560f496c1a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">Ogre::ColourValue::Black</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00061">61</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a67ef25ecd0fa97e7e51e5bd87b29ae65"></a><!-- doxytag: member="Ogre::ColourValue::Blue" ref="a67ef25ecd0fa97e7e51e5bd87b29ae65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#a67ef25ecd0fa97e7e51e5bd87b29ae65">Ogre::ColourValue::Blue</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00065">65</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13fbd050af26b8bd549ccb46aa699e07"></a><!-- doxytag: member="Ogre::ColourValue::g" ref="a13fbd050af26b8bd549ccb46aa699e07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#a13fbd050af26b8bd549ccb46aa699e07">Ogre::ColourValue::g</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00076">76</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h_source.html#l00196">operator*()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00172">operator+()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00260">operator+=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00184">operator-()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00270">operator-=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00220">operator/()</a>, and <a class="el" href="OgreAnimable_8h_source.html#l00117">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a00384a789ac354ea8dd252c62cb17aa4"></a><!-- doxytag: member="Ogre::ColourValue::Green" ref="a00384a789ac354ea8dd252c62cb17aa4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#a00384a789ac354ea8dd252c62cb17aa4">Ogre::ColourValue::Green</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00064">64</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6e086633637e335238d517e0ec9f2cd2"></a><!-- doxytag: member="Ogre::ColourValue::r" ref="a6e086633637e335238d517e0ec9f2cd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#a6e086633637e335238d517e0ec9f2cd2">Ogre::ColourValue::r</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00076">76</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h_source.html#l00196">operator*()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00172">operator+()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00260">operator+=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00184">operator-()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00270">operator-=()</a>, <a class="el" href="OgreColourValue_8h_source.html#l00220">operator/()</a>, and <a class="el" href="OgreAnimable_8h_source.html#l00117">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
<a class="anchor" id="ab9c2a36f53ac599850f1cf8b822f750d"></a><!-- doxytag: member="Ogre::ColourValue::Red" ref="ab9c2a36f53ac599850f1cf8b822f750d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#ab9c2a36f53ac599850f1cf8b822f750d">Ogre::ColourValue::Red</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00063">63</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8eba66b2908f44f00f8d9c9ec25877de"></a><!-- doxytag: member="Ogre::ColourValue::White" ref="a8eba66b2908f44f00f8d9c9ec25877de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">Ogre::ColourValue::White</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00062">62</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc5d5f80d4d99438863cc808169283b5"></a><!-- doxytag: member="Ogre::ColourValue::ZERO" ref="abc5d5f80d4d99438863cc808169283b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#abc5d5f80d4d99438863cc808169283b5">Ogre::ColourValue::ZERO</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreColourValue_8h_source.html#l00060">60</a> of file <a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
